local player = require("player")

function love.load()
	love.physics.setMeter(64)
    world = love.physics.newWorld(0, 16*64, true)
    world:setCallbacks(beginContact, endContact)

    windowWidth = love.graphics.getWidth()
    windowHeight = love.graphics.getHeight()

    floor = {}
    floor.body = love.physics.newBody(world, windowWidth/2, windowHeight-50, "static")
    floor.shape = love.physics.newRectangleShape(windowWidth, 100)
    floor.fixture = love.physics.newFixture(floor.body, floor.shape)
    floor.fixture:setUserData("Floor")

    platform = {}
    platform.body = love.physics.newBody(world, windowWidth/2 - 200, windowHeight - 250, "static")
    platform.shape = love.physics.newRectangleShape(200, 20)
    platform.fixture = love.physics.newFixture(platform.body, platform.shape)
    platform.fixture:setUserData("Platform")

    player:init()
end

function love.update(dt)
	world:update(dt)
	player:update()
end

function love.draw()
	love.graphics.setColor(0.20, 0.20, 0.20)
  	love.graphics.polygon("fill", floor.body:getWorldPoints(floor.shape:getPoints()))
  	love.graphics.polygon("fill", platform.body:getWorldPoints(platform.shape:getPoints()))

  	player:draw()
end

function beginContact(a, b, contact)
    player:beginContact(a, b, contact)
end

function endContact(a, b)
    player:endContact(a, b)
end
